<template>
  <div>
    <b-table
      @row-dblclicked="deleteLocation"
      :items="result"/>

    <location-forms></location-forms>
  </div>
</template>

<script>
import LocationForms from "~/components/LocationForms.vue"

export default {
  components: {
    LocationForms
  },
  data() {
    return {
      result: ''
    };
  },
  methods: {
    deleteLocation(record, index) {
      let ins = this;

      if (confirm(`Deseja apagar ${record.name}?`))
        this.$axios({
          method: 'delete',
          url: `http://localhost:3000/locations/${record.id}`
        })
          .then(res => ins.$router.go())
          .catch(err => console.log(err));
    }
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/locations'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Locations': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
